Bug 469965 - Adding existing fence device fails
Adding existing fence device fails
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2008-11-04 17:22 EST by Steve Reichard
Modified: 2016-04-26 10:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 07:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
luci is unable to add gp-05-ipmi as a fence device for gp-05 using this config (3.14 KB, application/xml)
2009-04-28 13:35 EDT, Peter Woodman
no flags Details

  None (edit)
Description Steve Reichard 2008-11-04 17:22:26 EST
Description of problem:

When using luci to attempt to add an existing fence (hp ilo, was tried), an error is reported saying "A unique name must be provided for each Fence Device"

Version-Release number of selected component (if applicable):
[root@ra-vm3 ~]# cat /etc/redhat-release; uname -a; cman_tool version
Red Hat Enterprise Linux Server release 5.2 (Tikanga)
Linux ra-vm3.lab.bos.redhat.com 2.6.18-92.1.13.el5xen #1 SMP Thu Sep 4 04:07:08 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux
6.1.0 config 52
[root@ra-vm3 ~]# 

How reproducible:

Steps to Reproduce:
1. Remove existing fence
2. Update fence properties
3. Add fence, seleting existing fence
Actual results:
Error page is displayed, fence not added

Expected results:
Fence sucessfully added

Additional info:
Comment 1 Ryan McCabe 2009-04-06 10:09:56 EDT
Steve, are you still seeing this issue and/or able to reproduce it? I can't seem to get it to reproduce with the RHEL 5.3.z build, and I wonder if it was fixed as a side effect of fixing another bug.
Comment 2 Peter Woodman 2009-04-28 13:35:06 EDT
Created attachment 341622 [details]
luci is unable to add gp-05-ipmi as a fence device for gp-05 using this config
Comment 3 Peter Woodman 2009-04-28 13:42:16 EDT
i'm still hitting this bug. i've got a cluster which was previously managed with system-config-cluster, and luci is unable to work with the existing fence devices in this config.

[10:40:17 pjjw@gp-05:~]$ cat /etc/redhat-release ; uname -a ; sudo /usr/sbin/cman_tool version
Red Hat Enterprise Linux Server release 5.3 (Tikanga)
Linux gp-03.gs.washington.edu 2.6.18-128.1.1.el5xen #1 SMP Mon Jan 26 14:19:09 EST 2009 x86_64 x86_64 x86_64 GNU/Linux
6.1.0 config 144

steps to reproduce:
1. use above cluster.conf
2. select node gp-05.gs.washington.edu, and add the fence device gp-05-ipmi to the main fencing method.

actual results: error page displayed, fence not added

expected results: fence added.

i can work around this by deleting gp-05-ipmi from shared fence devices, then re-adding it in the node configuration window. i can't tell what's different, though, if anything, in cluster.conf when this is done.
Comment 4 Peter Woodman 2009-04-28 13:50:46 EDT
caught in a lie! gp-05 is currently down for a rebuild, so I substituted gp-03's results, and it shows. however, i'm guessing the problem is with either luci or ricci, so i'll additionally submit that-

server where luci runs is:
[10:49:25][pjjw@manage-03:~]$ cat /etc/redhat-release ; uname -a ; rpm -q luciRed Hat Enterprise Linux Server release 5.3 (Tikanga)
Linux manage-03.gs.washington.edu 2.6.18-92.1.18.el5 #1 SMP Wed Nov 5 09:00:19 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

[10:40:20 pjjw@gp-03:~]$ rpm -q ricci
Comment 9 Brian Brock 2009-07-27 12:32:08 EDT
fix verified, I can't reproduce the faulty behavior in luci-0.12.2-6.el5
Comment 11 errata-xmlrpc 2009-09-02 07:51:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.